# WP Sitemaps Config #
[![WordPress plugin](https://img.shields.io/wordpress/plugin/dt/periodical-widget-visibility.svg?style=flat)](https://wordpress.org/plugins/periodical-widget-visibility/) [![WordPress plugin](https://img.shields.io/wordpress/plugin/v/periodical-widget-visibility.svg?style=flat)](https://wordpress.org/plugins/periodical-widget-visibility/) [![WordPress](https://img.shields.io/wordpress/v/periodical-widget-visibility.svg?style=flat)]() [![License](https://img.shields.io/badge/license-GPL%203.0%2B-lightgrey.svg?style=flat-square)](https://github.com/openstream/woocommerce-runmyaccounts/blob/master/LICENSE)

ontrol the periodical visibility of each widget based on weekdays within a yearly time period easily.

The plugin is available in English, Spanish (Español) and German (Deutsch). It does not collect any personal data, so it is ready for EU General Data Protection Regulation (GDPR) compliance.

## Show and hide widgets at desired days within a yearly time period repeatedly

Do you want to show a widget every year on Christmas days, Eastern, or hide it on your summer holidays? This plugin enables you to control the visibility of a widget from your desired start day till the desired end day in the year and on the selected weekdays.

## Compatibility with Jetpack

This plugin works perfectly with Jetpack's "Widget Visibility" module. Both plugins enhance each other to give you great control about when and where to display which widget on your website.

## Installation

### Using The WordPress Dashboard

1. Navigate to the 'Add New' in the plugins dashboard
2. Search for 'Periodical Widget Visibility'
3. Click 'Install Now'
4. Activate the plugin on the Plugin dashboard
5. Go to the page 'Widgets' and set the visibility period in each widget

### Uploading in WordPress Dashboard

1. Navigate to the 'Add New' in the plugins dashboard
2. Navigate to the 'Upload' area
3. Select `periodical-widget-visibility.zip` from your computer
4. Click 'Install Now'
5. Activate the plugin in the Plugin dashboard
6. Go to the page 'Widgets' and set the visibility period in each widget

### Using FTP

1. Download `periodical-widget-visibility.zip`
2. Extract the `periodical-widget-visibility` directory to your computer
3. Upload the `periodical-widget-visibility` directory to the `/wp-content/plugins/` directory
4. Activate the plugin in the Plugin dashboard
5. Go to the page 'Widgets' and set the visibility period in each widget

## Frequently Asked Questions

### How to use?

1. Go to the Widget page in the WordPress backend. Every widget is enhanced by easy-to-use fields for time data.
2. Set comfortably the date and time definitions when to show or hide the widget.
3. After you have define the time data just save the widget settings. Done!

### Is there an option page?

No. That is not neccessary. You set the visibility in each widget on the Widgets page in the backend.

### Do the scheduler settings effect cached pages?

No. This plugin has no site effects to cache plugins. So it can happen that a cached page shows a widget although the scheduler settings says to hide it, and vice versa.

It is up to your cache settings how the visibility of a widget is considered. Maybe it is helpful to empty the cache automatically once a day.

### Does removing the plugin delete the settings in the database?

Up to now: no. But you can remove the settings in the database easily with two possibilities:

* Either deactivate (uncheck) the visibility time scheduler in each widget and save the widget settings.
* Or remove the widget out of the widget area.

### Does the plugin work with Jetpack's Widget Visibility module?

Yes. Both plugins work together perfectly and enhance each other to give you great control about when and where to display which widget.

### Where is the *.pot file for translating the plugin in any language?

The plugin is ready for right-to-left languages like Arabic or Hebrew.

All texts of the plugin are in the *.pot file. You would find the *.pot file in the 'languages' directory of this plugin. If you would send the *.po file to me I would include it in the next release of the plugin.

## Translations

* English
* Spanish (Español)
* German (Deutsch)

POT file with text strings is included. If you would like to add a translation and see your name here, please [get in touch](mailto:wordpress@kybernetik.com.de).

## Contribution

You are warmly welcome to contribute to Periodical Widget Visibility. No matter if you find a typo or a bug or if you want to suggest a cool new feature... we would like to hear you. Here's how you could get started.
[Send](https://wordpress.org/support/plugin/periodical-widget-visibility/) a question, a minor issue or a major bug. Please share also your ideas for new features.